apt search coredumping

Bug #1877987 reported by netmonk on 2020-05-11
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
apt (Ubuntu)
Undecided
Unassigned
Focal
Undecided
Unassigned

Bug Description

root@citoyx:/var/crash# apt search jdk
Sorting... Done
Segmentation fault (core dumped)

May 11 12:34:25 citoyx kernel: [ 1354.337907] apt[10418]: segfault at 7f67292dcfc0 ip 00007f6309ce4997 sp 00007ffdab880930 error 4 in libapt-pkg.so.6.0.0[7f6309bb5000+147000]
May 11 12:34:25 citoyx kernel: [ 1354.337916] Code: 48 8b 45 18 48 8b 04 d0 48 83 c4 08 5b 5d c3 0f 1f 40 00 f3 0f 1e fa 55 48 89 fd 53 48 89 f3 48 83 ec 08 48 8b 06 48 8b 4e 08 <8b> 10 48 8d 04 d5 00 00 00 00 48 29 d0 48 8b 51 60 48 8d 04 c2 0f

root@citoyx:/var/crash# cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=20.04
DISTRIB_CODENAME=focal
DISTRIB_DESCRIPTION="Ubuntu 20.04 LTS"

apt search is coredumping
While apt install/upgrade/update is running fine

crash file in attachment.

Julian Andres Klode (juliank) wrote :

Marking this as private for now. No crash file attached yet

information type: Public → Private
netmonk (netmonk) wrote :
netmonk (netmonk) wrote :

(gdb) run
The program being debugged has been started already.
Start it from the beginning? (y or n) y
Starting program: /usr/bin/apt search jdk
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Detaching after fork from child process 25180]
[Detaching after fork from child process 25181]
Sorting... Done
Full Text Search... 50%
Program received signal SIGSEGV, Segmentation fault.
0x00007ffff7ec9997 in pkgRecords::Lookup(pkgCache::DescFileIterator const&) () from /usr/lib/x86_64-linux-gnu/libapt-pkg.so.6.0

Julian Andres Klode (juliank) wrote :

FWIW, pointing apport-bug at the crash file makes it create a proper bug report with backtraces and stuff.

information type: Private → Private Security
netmonk (netmonk) wrote :

Well, beside telling me it uploaded something i dont see how i can link apport-bug to this ticket.

Julian Andres Klode (juliank) wrote :

So

> the "oops id" can be found in /var/crash/$mycrash.uploaded

so I guess paste that and we can then lookup the crash on the error tracker

Julian Andres Klode (juliank) wrote :
information type: Private Security → Private
information type: Private → Public
Julian Andres Klode (juliank) wrote :

Fixed in 2.1.3, will look into adding a test case and backporting this to 2.0 shortly.

Changed in apt (Ubuntu):
status: New → Fix Committed
no longer affects: apt (Ubuntu Bionic)
Changed in apt (Ubuntu Focal):
status: New → Triaged

Sir,
My has been crushed about over one month with the google, I think... CA is
cannot reboot... Thank you...

On Mon, May 18, 2020, 4:35 PM Julian Andres Klode <
<email address hidden>> wrote:

> Fixed in 2.1.3, will look into adding a test case and backporting this
> to 2.0 shortly.
>
> ** Changed in: apt (Ubuntu)
> Status: New => Fix Committed
>
> ** Also affects: apt (Ubuntu Bionic)
> Importance: Undecided
> Status: New
>
> ** Also affects: apt (Ubuntu Focal)
> Importance: Undecided
> Status: New
>
> ** No longer affects: apt (Ubuntu Bionic)
>
> ** Changed in: apt (Ubuntu Focal)
> Status: New => Triaged
>
> --
> You received this bug notification because you are subscribed to apt in
> Ubuntu.
> Matching subscriptions: dragonhahney
> https://bugs.launchpad.net/bugs/1877987
>
> Title:
> apt search coredumping
>
> Status in apt package in Ubuntu:
> Fix Committed
> Status in apt source package in Focal:
> Triaged
>
> Bug description:
> root@citoyx:/var/crash# apt search jdk
> Sorting... Done
> Segmentation fault (core dumped)
>
> May 11 12:34:25 citoyx kernel: [ 1354.337907] apt[10418]: segfault at
> 7f67292dcfc0 ip 00007f6309ce4997 sp 00007ffdab880930 error 4 in
> libapt-pkg.so.6.0.0[7f6309bb5000+147000]
> May 11 12:34:25 citoyx kernel: [ 1354.337916] Code: 48 8b 45 18 48 8b 04
> d0 48 83 c4 08 5b 5d c3 0f 1f 40 00 f3 0f 1e fa 55 48 89 fd 53 48 89 f3 48
> 83 ec 08 48 8b 06 48 8b 4e 08 <8b> 10 48 8d 04 d5 00 00 00 00 48 29 d0 48
> 8b 51 60 48 8d 04 c2 0f
>
>
> root@citoyx:/var/crash# cat /etc/lsb-release
> DISTRIB_ID=Ubuntu
> DISTRIB_RELEASE=20.04
> DISTRIB_CODENAME=focal
> DISTRIB_DESCRIPTION="Ubuntu 20.04 LTS"
>
>
> apt search is coredumping
> While apt install/upgrade/update is running fine
>
> crash file in attachment.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1877987/+subscriptions
>

netmonk (netmonk) wrote :

how can i update my apt package on my focal desktop to get the latest version ?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apt - 2.1.6

---------------
apt (2.1.6) unstable; urgency=medium

  [ David Kalnischkies ]
  * Fix small memory leak in MethodConfig
  * Consider protected packages for removal if they are marked as such
  * Consider if a fix is successful before claiming it is
  * Allow 20 instead of 10 loops for pkgProblemResolver
  * Deal with duplicates in the solution space of a dep

 -- Julian Andres Klode <email address hidden> Wed, 03 Jun 2020 18:25:22 +0200

Changed in apt (Ubuntu):
status: Fix Committed → Fix Released
Pavel Bludov (pbludov) wrote :

This bug affects apt 2.0.3

$ apt search openjdk
Sorting... Done
Segmentation fault (core dumped)

$ apt --version
apt 2.0.3 (amd64)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments